Forum Discussion
RestAPI Authentication
Hello,
I'm trying to put data to PowerBI dataset from javascript.
But, POST https://api.powerbi.com/v1.0/myorg/groups returns 401 Unauthorized
How can I be authorized?
My step is
1. register myapp to azure AD, get clientID and clientSecret
https://dev.powerbi.com/apps
- Server-side Web app
- Read and Write All Datasets
2. get access token
https://login.microsoftonline.com/<tenant-id>/oauth2/token
- resource=https://analysis.windows.net/powerbi/api
3. POST https://api.powerbi.com/v1.0/myorg/groups
- Authorization: Bearer ey...mAtw
Any thoughts?
Thank you.
2 Replies
- v-jiascu-msftMicrosoft Employee
Hi nakaya,
It seems you used some wrong URLs. Please refer to this documentation. It's very clear.
Best Regards,
Dale
- nakayaRegular Visitor
Thanks for your replying.
>Please refer to this documentation.
I want to do that in javascript, not .net app.
Is there any documentation?